Subject: Re: [BUG] t7063-status-untracked-cache flaky?

From: David Turner <[email-masked]>
Date: Thu, 15 Oct 2015 15:44:04 -0400

On Thu, 2015-10-15 at 09:52 +0200, Lars Schneider wrote:
> Hi,
> 
> I noticed that "t7063-status-untracked-cache.sh" occasionally fails with "not ok 24 - test sparse status with untracked cache".
> 
> E.g. on OS X compiled with gcc:
> https://travis-ci.org/larsxschneider/git/jobs/85432514
> 
> E.g. on Linux compiled with gcc:
> https://travis-ci.org/larsxschneider/git/jobs/84986975
> 
> The test was added with commit 7687252. I have not really investigated the problem yet but the "avoid_racy" method caught my attention. Is this test known to be flaky? Would an increased sleep time in "avoid_racy" help?

I've never seen this test be flaky before your report.  I just tested
it, locally, though, and I can reproduce.  After 53 successes, it
failed.  Will investigate further.